Search documentation of wx

# View Source wxSashWindow (wx v2.4.2)

Functions for wxSashWindow class

`wxSashWindow` allows any of its edges to have a sash which can be dragged to resize the window. The actual content window will be created by the application as a child of `wxSashWindow`.

The window (or an ancestor) will be notified of a drag via a `wxSashEvent` notification.

Styles

This class supports the following styles:

See: `wxSashEvent`, `wxSashLayoutWindow`, Overview events

This class is derived (and can use functions) from: `wxWindow` `wxEvtHandler`

wxWidgets docs: wxSashWindow

## Events

Event types emitted from this class: `sash_dragged`

# Summary

## Types

wxSashWindow()

## Functions

destroy(This)

Destructor.

getMaximumSizeX(This)

Gets the maximum window size in the x direction.

getMaximumSizeY(This)

Gets the maximum window size in the y direction.

getMinimumSizeX(This)

Gets the minimum window size in the x direction.

getMinimumSizeY(This)

Gets the minimum window size in the y direction.

getSashVisible(This, Edge)

Returns true if a sash is visible on the given edge, false otherwise.

new()

Default ctor.

new(Parent)
new/2

Constructs a sash window, which can be a child of a frame, dialog or any other non-control window.

setMaximumSizeX(This, Min)

Sets the maximum window size in the x direction.

setMaximumSizeY(This, Min)

Sets the maximum window size in the y direction.

setMinimumSizeX(This, Min)

Sets the minimum window size in the x direction.

setMinimumSizeY(This, Min)

Sets the minimum window size in the y direction.

setSashVisible(This, Edge, Visible)

Call this function to make a sash visible or invisible on a particular edge.

# Types

Link to this type

# wxSashWindow()

View Source

    -type wxSashWindow() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxSashWindow()) -> ok.

Destructor.

Link to this function

# getMaximumSizeX(This)

View Source

    -spec getMaximumSizeX(This) -> integer() when This :: wxSashWindow().

Gets the maximum window size in the x direction.

Link to this function

# getMaximumSizeY(This)

View Source

    -spec getMaximumSizeY(This) -> integer() when This :: wxSashWindow().

Gets the maximum window size in the y direction.

Link to this function

# getMinimumSizeX(This)

View Source

    -spec getMinimumSizeX(This) -> integer() when This :: wxSashWindow().

Gets the minimum window size in the x direction.

Link to this function

# getMinimumSizeY(This)

View Source

    -spec getMinimumSizeY(This) -> integer() when This :: wxSashWindow().

Gets the minimum window size in the y direction.

Link to this function

# getSashVisible(This, Edge)

View Source

    -spec getSashVisible(This, Edge) -> boolean() when This :: wxSashWindow(), Edge :: wx:wx_enum().

Returns true if a sash is visible on the given edge, false otherwise.

See: `setSashVisible/3`

Link to this function

# new()

View Source

    -spec new() -> wxSashWindow().

Default ctor.

Link to this function

# new(Parent)

View Source

    -spec new(Parent) -> wxSashWindow() when Parent :: wxWindow:wxWindow().

Link to this function

# new/2

View Source

    -spec new(Parent, [Option]) -> wxSashWindow()
                 when
                     Parent :: wxWindow:wxWindow(),
                     Option ::
                         {id, integer()} |
                         {pos, {X :: integer(), Y :: integer()}} |
                         {size, {W :: integer(), H :: integer()}} |
                         {style, integer()}.

Constructs a sash window, which can be a child of a frame, dialog or any other non-control window.

Link to this function

# setMaximumSizeX(This, Min)

View Source

    -spec setMaximumSizeX(This, Min) -> ok when This :: wxSashWindow(), Min :: integer().

Sets the maximum window size in the x direction.

Link to this function

# setMaximumSizeY(This, Min)

View Source

    -spec setMaximumSizeY(This, Min) -> ok when This :: wxSashWindow(), Min :: integer().

Sets the maximum window size in the y direction.

Link to this function

# setMinimumSizeX(This, Min)

View Source

    -spec setMinimumSizeX(This, Min) -> ok when This :: wxSashWindow(), Min :: integer().

Sets the minimum window size in the x direction.

Link to this function

# setMinimumSizeY(This, Min)

View Source

    -spec setMinimumSizeY(This, Min) -> ok when This :: wxSashWindow(), Min :: integer().

Sets the minimum window size in the y direction.

Link to this function

# setSashVisible(This, Edge, Visible)

View Source

    -spec setSashVisible(This, Edge, Visible) -> ok
                            when This :: wxSashWindow(), Edge :: wx:wx_enum(), Visible :: boolean().

Call this function to make a sash visible or invisible on a particular edge.

See: `getSashVisible/2`